# Uses of Class
org.apache.commons.math3.ml.clustering.KMeansPlusPlusClusterer

Packages that use KMeansPlusPlusClusterer
Package
Description
org.apache.commons.math3.ml.clustering
Clustering algorithms.

## Uses of KMeansPlusPlusClusterer in org.apache.commons.math3.ml.clustering

Methods in org.apache.commons.math3.ml.clustering that return KMeansPlusPlusClusterer
Modifier and Type
Method
Description
`KMeansPlusPlusClusterer<T>`
MultiKMeansPlusPlusClusterer.`getClusterer()`
Returns the embedded k-means clusterer used by this instance.
Constructors in org.apache.commons.math3.ml.clustering with parameters of type KMeansPlusPlusClusterer
Modifier
Constructor
Description
``
`MultiKMeansPlusPlusClusterer(KMeansPlusPlusClusterer<T> clusterer, int numTrials)`
Build a clusterer.
``
`MultiKMeansPlusPlusClusterer(KMeansPlusPlusClusterer<T> clusterer, int numTrials, ClusterEvaluator<T> evaluator)`
Build a clusterer.